package cn.estsh.i3plus.pojo.model.platform;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Wynne.Lu
 * @date 2021/1/18 上午10:56
 * @desc 系统登录模型
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Api("系统登录模型")
public class SystemLoginModel {

    @ApiParam(value = "登录名")
    private String loginName;

    @ApiParam(value = "登录密码")
    private String loginPwd;

    @ApiParam(value = "语言代码")
    private String languageCode;

    @ApiParam(value = "设备id")
    private String deviceId;

    @ApiParam(value = "单点登录策略")
    private String loginStrategy;

    @ApiParam(value = "app Id")
    private String appId;

}
